tigase.component

## Class AbstractComponent.DefaultPacketWriter

- java.lang.Object
- - tigase.component.AbstractComponent.DefaultPacketWriter

- All Implemented Interfaces:
    PacketWriter
  Enclosing class:
    AbstractComponent

      public static class AbstractComponent.DefaultPacketWriter
      extends Object
      implements PacketWriter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPacketWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractComponent` | `getComponent()`
    `ResponseManager` | `getResponseManager()`
    `void` | `setComponent(AbstractComponent component)`
    `void` | `setResponseManager(ResponseManager responseManager)`
    `void` | `write(Collection<Packet> elements)` Writes collection of Packets.
    `void` | `write(Packet packet)` Writes single Packet.
    `void` | `write(Packet packet, AsyncCallback callback)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final Logger log

  - ### Constructor Detail

    - #### DefaultPacketWriter

          public DefaultPacketWriter()

  - ### Method Detail

    - #### getComponent

          public AbstractComponent getComponent()

    - #### setComponent

          public void setComponent(AbstractComponent component)

    - #### getResponseManager

          public ResponseManager getResponseManager()

    - #### setResponseManager

          public void setResponseManager(ResponseManager responseManager)

    - #### write

          public void write(Collection<Packet> elements)

      Description copied from interface: `PacketWriter`
      Writes collection of Packets.
      Specified by:
        `write` in interface `PacketWriter`
      Parameters:
        `elements` - collection of Packets to be written.

    - #### write

          public void write(Packet packet)

      Description copied from interface: `PacketWriter`
      Writes single Packet.
      Specified by:
        `write` in interface `PacketWriter`
      Parameters:
        `packet` - `Packet` to be written.

    - #### write

          public void write(Packet packet,
                            AsyncCallback callback)

      Specified by:
        `write` in interface `PacketWriter`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.